Bug 16919 - SONY VAIO laptop CDROM can't be used after fresh installation
SONY VAIO laptop CDROM can't be used after fresh installation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-24 22:18 EDT by Bill Huang
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-31 15:13:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Huang 2000-08-24 22:18:07 EDT
PC: SONY VAIO 505 laptop

It was OK to use SONY CDROM(PCGA-CD51) for installation of RC2.
But when system was booted after installation, CDROM is recognised as
TOSHIBA CDROM,when mounted cdrom, system told:

[root@localhost /root]# mount /mnt/cdrom
mount: special device /dev/cdrom does not exist

SONY CDROM was OK when on RHL6.2.

Some info are listed below, hope the bug will be resolved ASAP, otherwise
we will face the many,many complaints from SONY users.

---
cardctrl ident:

Socket 0:
product info: " ", "NinjaATA-", "V1.0", "AP00 "
--
cardctrl config:

Socket 0:
  Vcc 5.0V  Vpp1 0.0V  Vpp2 0.0V
  interface type is "memory and I/O"
  irq 5 [exclusive] [level]
  function 0:
    config base 0x0200
      option 0x61 status 0x00
    io 0x0180-0x0187 [auto]
    io 0x0386-0x0386 [8bit]

--
cardctrl status:
Socket 0:
  5V 16-bit PC Card
  function 0: [ready]

--
/proc/interrupts

           CPU0
  0:     199101          XT-PIC  timer
  1:       1796          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:          0          XT-PIC  ide1
  8:          1          XT-PIC  rtc
  9:        471          XT-PIC  usb-uhci, i82365
 12:       4829          XT-PIC  PS/2 Mouse
 13:          1          XT-PIC  fpu
 14:     226659          XT-PIC  ide0
NMI:          0

---
/proc/ioports

0000-001f : dma1
0020-003f : pic1
0040-005f : timer
0060-006f : keyboard
0070-007f : rtc
0080-008f : dma page reg
00a0-00bf : pic2
00c0-00df : dma2
00f0-00ff : fpu
0180-0187 : ide1
01f0-01f7 : ide0
0386-0386 : ide1
03c0-03df : vga+
03e8-03ef : serial(auto)
03f6-03f6 : ide0
03f8-03ff : serial(auto)
fc90-fc97 : ide0
fc98-fc9f : ide1
fca0-fcb3 : usb-uhci
Comment 1 Michael Fulbright 2000-08-29 12:38:24 EDT
Did the system install properly from the CDROM device?

Are the only problems after you reboot after a successful install?
Comment 2 Bill Huang 2000-08-29 22:26:41 EDT
Sorry to report the bug to anaconda, it is really a bug of kernel.

Yes, system was installed properly with that magic code (boot:linux
ide2=0x180,0x386) from SONY CDROM.

For the second question, yes, only SONY CDROM has problems.
Comment 3 Arjan van de Ven 2001-02-26 05:31:15 EST
Please verify against the Wolverine beta, as this is supposed to be fixed.
Comment 4 Michael Fulbright 2002-05-31 15:13:15 EDT
Are there any further problems? I will mark this fixed if not.

Note You need to log in before you can comment on or make changes to this bug.